vflib3 (3.7.2+dfsg-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 10 Feb 2026 23:44:13 +0100

vflib3 (3.7.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Move package to Debian TeX maintainers
  * Add myself to Uploaders
  * Add Homepage
    Closes: #1021185
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
    Closes: #744677, #1030513
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * d/rules: short dh
  * Fix gcc-14 build issues
    Closes: #1075620
  * Fix typo
    Closes: #1028300
  * Fix clean target
    Closes: #1045442
  * debian/salsa-ci.yml: Do not check hardening

  [ наб ]
  * autoheader: warning: Use AC_DEFINE([WITH_GETTEXT], [], [Description])

  [ Hilmar Preuße ]
  * Add override_dh_auto_install to fix installation routine.
  * Fix build of package, install update-vflibcap.
  * Lintian:
    + W:debhelper-but-no-misc-depends

  [ Helmut Grohne ]
  * Improve cross building: Export CC for old ./configure. (Closes: #902030)

  [ Bernhard Übelacker ]
  * Avoid calling hbf_release() twice
    Closes: #1028311

 -- Andreas Tille <tille@debian.org>  Sat, 29 Mar 2025 06:55:40 +0100

vflib3 (3.7.2+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * d/watch: Fix to scan for new versions (Closes: #449781, #529152).
  * Fix upstream source URL (Closes: #515724).
  * Exclude non-source documentation.

 -- Bastian Germann <bage@debian.org>  Fri, 30 Sep 2022 12:05:36 +0200

vflib3 (3.6.14.dfsg-3+nmu5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957909)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 21 Jan 2021 20:35:42 +0000

vflib3 (3.6.14.dfsg-3+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on ppc64*. Closes: #847179.
  * Bump debhelper and standards version.
  * Convert to source format 3.0. Closes: #668942.
  * Add build-arch and build-indep targets to debian/rules. Closes: #648307.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Nov 2017 18:23:35 +0100

vflib3 (3.6.14.dfsg-3+nmu3) unstable; urgency=medium

  * Non-maintainer upload
  * Add missing build-{arch,indep} targets, patch by Santiago Vila.
    Closes: #822035
  * Remove obsolete Source-Version substvar. Closes: #833240

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 21 Dec 2016 22:32:17 +0100

vflib3 (3.6.14.dfsg-3+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libxext-dev build dependency (closes: #742093).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 21 Mar 2014 04:59:28 +0000

vflib3 (3.6.14.dfsg-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove support for t1lib (closes: #638756).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Mar 2014 21:37:52 +0000

vflib3 (3.6.14.dfsg-3) unstable; urgency=low

  * Remove RPATH from the generated library. (lintian)
    - debian/control: Add Build-dependency on chrpath.
  * Delete postinst and prerm from vflib3-doc.

 -- OHURA Makoto <ohura@debian.org>  Fri, 16 Dec 2011 11:39:37 +0900

vflib3 (3.6.14.dfsg-2) unstable; urgency=low

  * Use debhelper version 5 instead of version 4.
  * debian/patches/09_avoid_segfault_at_vflmklib.c.dpatch: Add new patch.
    Avoid segfault at vflmk utilities.
  * Remove dependency on defoma (Closes: #542338).

 -- OHURA Makoto <ohura@debian.org>  Thu, 15 Dec 2011 23:44:43 +0900

vflib3 (3.6.14.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD by tweaking ltconfig as suggested by Petr
    Salinger (Closes: #493125). Introduce the following patch for that:
     - debian/patches/08_fix_ftbfs_on_kfreebsd.dpatch

 -- Cyril Brulebois <kibi@debian.org>  Thu, 02 Jul 2009 03:20:53 +0200

vflib3 (3.6.14.dfsg-1) unstable; urgency=low

  * Remove ccv/TBL/RFC/rfc1489.txt, which is a non-free file.
   (Closes: #464433)
  * debian/patches/06_strdup_implicit_pointer_conversion.dpatch: New
    patch.  Add -D_GNU_SOURCE to CFLAGS to enable prototype definition
    of strdup(3). (Closes: #464465)
  * debian/rules:
    - Add autoconf2.13 before executing configure script.
    - Run configure script with FreeType2.
    - Move DH_COMPAT variable to debian/compat.
    - Don't ignore make clean error.
  * debian/control:
    - Add autoconf2.13 and libfreetype6-dev to Build-Depends: field.
    - Add xutils-dev to Build-Depends: field for xmkmf.
    (Closes: #484200, #485224)
    - Remove x-dev and xutils from Build-Depends: field.
  * debian/patches/04_not_ln_parent_dir.dpatch: New patch.  Don't make a
    symlink at parent directory.
  * Remove unused debian patch.
  * debian/patches/07_build_with_freetype2.dpatch: New patch. Build with
    FreeType2 library. (Closes: #431779, #431781)

 -- OHURA Makoto <ohura@debian.org>  Thu, 12 Jun 2008 23:08:47 +0900

vflib3 (3.6.14-1) unstable; urgency=low

  * New upstream release.
    - Disable two patches, 01_build_fix_for_gcc_3.3 and 02_GetNoFonts.
  * debian/control: New Maintainer. (Closes: #393580)

 -- OHURA Makoto <ohura@debian.org>  Tue, 05 Feb 2008 23:13:44 +0900

vflib3 (3.6.13.dfsg-1) unstable; urgency=low

  * QA upload.
  * Remove the non-free ccv/TBL/RFC/rfc1489.txt from the upstream tarball.
    Closes: #393418.
  * debian/update-vflibcap: Fix redirection.  Thanks to Yoshinori Ariie for
    the patch.  Closes: #284919.
  * debian/vflib3.defoma: Handle undefined hints.  Closes: #147861, #306442.
  * debian/patches/05_mkt1enc_syntax_error.dpatch: Fix unterminated quote in
    t1lib/mkt1enc.sh.
  * Remove awk from Build-Depends since it's depended on by base-files (i.e.
    effectively essential).
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/rules:
    - Remove config.{sub,guess} on clean to make for a leaner diff.
    - Remove calls to dh_undocumented.

 -- Matej Vela <vela@debian.org>  Sat, 28 Oct 2006 12:16:06 +0200

vflib3 (3.6.13-4) unstable; urgency=low

  * Orphaning this package.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 17 Oct 2006 06:32:18 +0900

vflib3 (3.6.13-3.6) unstable; urgency=low

  * Non-maintainer upload to fix writing outside the build directory.
  * Added debian/patches/04_fix_configure_not_ln_pwd.dpatch, that fixes the
    linking loop in configure so that the parent directory is not linked.
    (Closes: #381624)
  * Fixed debian/rules to comply with policy:
     - CFLAGS = -g -Wall always used
     - noopt is honored.
  * Fixed debian/rules so that the binary-indep package is generated in the
    binary-indep rule. (Closes: #207196)

 -- Margarita Manterola <marga@debian.org>  Sun, 13 Aug 2006 13:13:52 -0300

vflib3 (3.6.13-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Make vflib3-dev depend on libkpathsea-dev.  Closes: #378447.
  * Fix `comparison is always false' warnings on platforms where char
    is unsigned by default.  Closes: #170529.

 -- Matej Vela <vela@debian.org>  Sun, 23 Jul 2006 18:59:19 +0200

vflib3 (3.6.13-3.4) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Make vflib3-dev depend on libttf-dev and libt1-dev; otherwise
    libtool-using software fails to build with vflib3-dev due to
    dangling references to missing .la files. (Closes: #361944).

 -- Luk Claes <luk@debian.org>  Mon, 17 Apr 2006 10:55:43 +0200

vflib3 (3.6.13-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346906)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 03:14:17 +0100

vflib3 (3.6.13-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Disable -ansi CFLAG, which causes prototypes of some used functions to
    be undeclared.  Closes: #316112

 -- dann frazier <dannf@debian.org>  Fri, 16 Sep 2005 16:07:47 -0600

vflib3 (3.6.13-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend against libt1-dev instead of the obsoleted t1lib-dev.
    Closes: #251184.
  * Change reference to T1_Get_no_fonts to T1_GetNoFonts

 -- Steve Langasek <vorlon@debian.org>  Wed, 22 Jun 2005 21:29:05 -0700

vflib3 (3.6.13-3) unstable; urgency=low

  * Now check whether /var/lib/defoma/vflib3.d exists - closes: #179714

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 14 Feb 2004 17:51:41 +0900

vflib3 (3.6.13-2) unstable; urgency=low

  * Maintainer upload.
  * Now uses dpatch.
  * Bumped up Standards-Version to 3.6.1.
  * [control] changed Maintainer field.
  * Acknowledged NMUs - closes: #197262
  * Updated libtool scripts - closes: #201932, #206910

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon,  9 Feb 2004 13:39:46 +0900

vflib3 (3.6.13-1.1) unstable; urgency=low

  * Non-maintainer upload according to the release manager's plan.
  * Fixed building by removing reference to varargs.h - closes: #197262

 -- Roland Mas <lolando@debian.org>  Sat, 23 Aug 2003 17:26:40 +0200

vflib3 (3.6.13-1) unstable; urgency=low

  * New upstream release(including Dan Elphick's fix) - closes: #167132
  * Bumped to Standards-Version: 3.5.7.
  * Suppress warning from update-vflib - closes: #163256
  * Remove /etc/vflib3 on purge - closes: #163274

 -- Masayuki Hatta <mhatta@debian.org>  Tue,  5 Nov 2002 09:56:43 +0900

vflib3 (3.6.12-3) unstable; urgency=low

  * Fixed vflib3.defoma - closes: #143087

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 22 May 2002 14:50:26 +0900

vflib3 (3.6.12-2) unstable; urgency=low

  * Added preliminary defoma support.  Well, I know it's quite broken, but
    at least should work with Kochi-* fonts - closes: #136892
  * Added Build-Depends: autotools-dev.  config.{guess,sub} are now
    updated from /usr/share/misc at build time.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 15 Apr 2002 12:10:24 +0900

vflib3 (3.6.12-1) unstable; urgency=low

  * New upstream release

 -- Masayuki Hatta <mhatta@debian.org>  Sat,  3 Nov 2001 10:30:14 +0900

vflib3 (3.6.11-1) unstable; urgency=low

  * New upstream release

 -- Masayuki Hatta <mhatta@debian.org>  Thu,  4 Oct 2001 10:55:59 +0900

vflib3 (3.6.10-2) unstable; urgency=low

  * Removed --with-gettext-prefix.

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 10 Jul 2001 01:05:24 +0900

vflib3 (3.6.10-1) unstable; urgency=low

  * New upstream release.
  * Updated to Standards-Version: 3.5.2.
  * Now uses debhelper V3.
  * Updated config.{sub,guess} - closes: #103637
  * Added Suggests: watanabe-vfont & asiya24-vfont.  Also tweaked
    vflibcap* for them.

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  8 Jul 2001 16:10:42 +0900

vflib3 (3.6.9-3) unstable; urgency=low

  * Added xutils to Build-Depends - closes: #90680

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 26 Apr 2001 00:16:32 +0900

vflib3 (3.6.9-2) unstable; urgency=low

  * Fixed Build-Depends.

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 20 Dec 2000 19:15:41 +0900

vflib3 (3.6.9-1) unstable; urgency=low

  * New upstream release
  * Built with libkpathsea3 - Closes: #79804

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 20 Dec 2000 10:20:11 +0900

vflib3 (3.6.8-2) unstable; urgency=low

  * New Debian Maintainer Upload.  I'd like to thank my sponsor and AM
    Fumitoshi UKAI <ukai@debian.org>.
  * Added Build-Depends: debhelper - Closes: #66931
  * Integrated with local hack by Masato Taruishi <taru@stormix.com>.
    Now this package employs sophisticated way to handle
    /etc/vflib3/vflibcap (i.e. uses update-vflibcap script).  Thanks taru!
  * Revised Description.  Now it's lintian-free!

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  8 Oct 2000 20:55:52 +0900

vflib3 (3.6.8-1.7) unstable; urgency=low

  * and more fixed of no such file or directory.
     add the directory to vflib3.dirs.

 -- Masato Taruishi <taru@stormix.com>  Wed, 30 Aug 2000 17:03:18 +0900

vflib3 (3.6.8-1.6) unstable; urgency=low

  * Fixed no such file or directory in update-vflibcap.

 -- Masato Taruishi <taru@stormix.com>  Wed, 30 Aug 2000 15:05:14 +0900

vflib3 (3.6.8-1.5) unstable; urgency=low

  * Changed update-vflibcap.

 -- Masato Taruishi <taru@stormix.com>  Wed, 30 Aug 2000 14:09:17 +0900

vflib3 (3.6.8-1.4) unstable; urgency=low

  * Applied a change of debian-vfont to macro.

 -- Masato Taruishi <taru@stormix.com>  Wed, 30 Aug 2000 03:34:24 +0900

vflib3 (3.6.8-1.3) unstable; urgency=low

  * Changed debian vfont names of mincho and gothic.

 -- Masato Taruishi <taru@stormix.com>  Wed, 30 Aug 2000 02:58:44 +0900

vflib3 (3.6.8-1.2) unstable; urgency=low

  * Added a symlink /etc/vflib3/vflibcap-tex to vflibcap
    for tex-guy's default setteing.
     NOTE: should be in tex-guy's package itself?
  * Modified /etc/vflib3/vflibcaps/00vflib3 for Debian vfont policy.

 -- Masato Taruishi <taru@stormix.com>  Wed, 30 Aug 2000 01:02:03 +0900

vflib3 (3.6.8-1.1) unstable; urgency=low

  * Added update-vflibcap.
     - Changed vflibcap update method.
  * Moved vflibcap-* as example files.

 -- Masato Taruishi <taru@stormix.com>  Tue, 29 Aug 2000 18:48:14 +0900

vflib3 (3.6.8-1) unstable; urgency=low

  * New upstream release

 -- Masayuki Hatta <masayuki-h@geocities.co.jp>  Fri, 23 Jun 2000 17:25:13 +0900

vflib3 (3.6.7-2) unstable; urgency=low

  * Fixed shlibs.local.

 -- Masayuki Hatta <mhatta@debian.or.jp>  Sun, 23 Apr 2000 08:42:31 +0900

vflib3 (3.6.7-1) unstable; urgency=low

  * New upstream release

 -- Masayuki Hatta <mhatta@debian.or.jp>  Thu,  6 Apr 2000 01:38:38 +0900

vflib3 (3.6.6-1) unstable; urgency=low

  * New upstream release

 -- Masayuki Hatta <mhatta@debian.or.jp>  Tue,  8 Feb 2000 23:35:31 +0900

vflib3 (3.6.5-1) unstable; urgency=low

  * Initial Release for Debian Project.

 -- Masayuki Hatta <mhatta@debian.or.jp>  Sun, 30 Jan 2000 16:29:34 +0900
